summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'lxde-base/lxpolkit')
-rw-r--r--lxde-base/lxpolkit/Manifest1
-rw-r--r--lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild30
-rw-r--r--lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild30
-rw-r--r--lxde-base/lxpolkit/metadata.xml8
4 files changed, 69 insertions, 0 deletions
diff --git a/lxde-base/lxpolkit/Manifest b/lxde-base/lxpolkit/Manifest
new file mode 100644
index 00000000000..73a8f836e79
--- /dev/null
+++ b/lxde-base/lxpolkit/Manifest
@@ -0,0 +1 @@
+DIST lxpolkit-0.1.0.tar.gz 204579 SHA256 511affca8f55adc67031fb3627b9889064c685e4b983737d8deecdf4f94f008b
diff --git a/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild b/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild
new file mode 100644
index 00000000000..181102977e3
--- /dev/null
+++ b/lxde-base/lxpolkit/lxpolkit-0.1.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DESCRIPTION="A simple PolicyKit authentication agent"
+HOMEPAGE="http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxpolkit;a=summary http://blog.lxde.org/?p=674"
+SRC_URI="mirror://sourceforge/project/lxde/LXPolkit/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND=">=sys-auth/polkit-0.102
+ x11-libs/gtk+:3
+ !gnome-extra/polkit-gnome"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40.0
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+src_prepare() {
+ local f=data/lxpolkit.desktop.in.in
+ sed -i -e '/^NotShowIn/s:=.*:=KDE;:' ${f} || die
+ echo 'AutostartCondition=GNOME3 if-session gnome-fallback' >> ${f}
+}
+
+src_configure() { econf --enable-gtk3; }
diff --git a/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild b/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild
new file mode 100644
index 00000000000..9cfdbcdd8e3
--- /dev/null
+++ b/lxde-base/lxpolkit/lxpolkit-0.1.0-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="A simple PolicyKit authentication agent"
+HOMEPAGE="http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxpolkit;a=summary http://blog.lxde.org/?p=674"
+SRC_URI="mirror://sourceforge/project/lxde/LXPolkit/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=sys-auth/polkit-0.102
+ x11-libs/gtk+:3
+ !gnome-extra/polkit-gnome"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.40.0
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ local f=data/lxpolkit.desktop.in.in
+ sed -i -e '/^NotShowIn/s:=.*:=MATE;KDE;:' ${f} || die
+ echo 'AutostartCondition=GNOME3 if-session gnome-fallback' >> ${f}
+}
+
+src_configure() { econf --enable-gtk3; }
diff --git a/lxde-base/lxpolkit/metadata.xml b/lxde-base/lxpolkit/metadata.xml
new file mode 100644
index 00000000000..831327e101a
--- /dev/null
+++ b/lxde-base/lxpolkit/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>lxde</herd>
+ <upstream>
+ <remote-id type="sourceforge">lxde</remote-id>
+ </upstream>
+</pkgmetadata>